import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { C as Cart, U as UpdateCurrentCartOptions, A as AddToCurrentCartOptions, a as AddToCartResponse, R as RemoveLineItemsResponse, b as CreateCheckoutFromCurrentCartOptions, c as CreateCheckoutResponse, d as RemoveCouponResponse, L as LineItemQuantityUpdate, e as UpdateLineItemsQuantityResponse, E as EstimateCurrentCartTotalsOptions, f as EstimateTotalsResponse, g as CartDeletedEnvelope, h as CartUpdatedEnvelope, i as CartCreatedEnvelope } from './ecom-v1-cart-current-cart.universal-TcsLxps1.js';
export { bS as ActionEvent, c0 as AddToCartRequest, aJ as AddToCurrentCartAndEstimateTotalsRequest, aI as AddToCurrentCartRequest, bz as AdditionalFee, r as AdditionalFeeSource, au as Address, aw as AddressLocation, at as AddressWithContact, aZ as AggregatedTaxBreakdown, b9 as ApplicableLineItems, aY as ApplicationError, be as AppliedDiscount, bf as AppliedDiscountDiscountSourceOneOf, p as AppliedDiscountDiscountType, aX as AutoTaxFallbackCalculationDetails, ca as BaseEventMetadata, al as BuyerInfo, am as BuyerInfoIdOneOf, aR as CalculatedItemModifier, aM as CalculatedLineItem, bl as CalculationErrors, bm as CalculationErrorsShippingCalculationErrorOneOf, b7 as Carrier, bt as CarrierError, bs as CarrierErrors, ba as CarrierServiceOption, an as CartDiscount, ao as CartDiscountDiscountSourceOneOf, ac as CatalogOverrideFields, y as CatalogReference, v as ChannelType, o as ChargeType, X as Color, ap as Coupon, bW as CreateCartRequest, bX as CreateCartResponse, bG as CreateCheckoutFromCurrentCartRequest, c2 as CreateCheckoutRequest, aE as CustomLineItem, c6 as DeleteCartRequest, bL as DeleteCartResponse, bK as DeleteCurrentCartRequest, b6 as DeliveryAllocation, b1 as DeliveryLogistics, b3 as DeliveryTimeSlot, a7 as Description, G as DescriptionLine, K as DescriptionLineDescriptionLineValueOneOf, O as DescriptionLineName, D as DescriptionLineType, H as DescriptionLineValueOneOf, bn as Details, bo as DetailsKindOneOf, ar as DiscountRule, as as DiscountRuleName, k as DiscountType, bM as DomainEvent, bN as DomainEventBodyOneOf, c7 as Empty, bO as EntityCreatedEvent, bR as EntityDeletedEvent, bQ as EntityUpdatedEvent, bJ as EstimateCurrentCartTotalsRequest, c5 as EstimateTotalsRequest, cb as EventMetadata, ag as ExtendedFields, m as FallbackReason, bq as FieldViolation, F as FileType, Y as FocalPoint, a5 as FreeTrialPeriod, ax as FullAddressContactDetails, b_ as GetCartByCheckoutIdRequest, b$ as GetCartByCheckoutIdResponse, bY as GetCartRequest, bZ as GetCartResponse, aA as GetCurrentCartRequest, aB as GetCurrentCartResponse, aT as GiftCard, a0 as Group, aL as HostSelectedMembership, bU as IdentificationData, bV as IdentificationDataIdOneOf, by as InvalidMembership, Z as ItemAvailabilityInfo, I as ItemAvailabilityStatus, ak as ItemModifier, aO as ItemTaxFullDetails, a1 as ItemType, j as ItemTypeItemType, a2 as ItemTypeItemTypeDataOneOf, J as JurisdictionType, x as LineItem, bk as LineItemDiscount, aN as LineItemPricesData, M as ManualCalculationReason, bv as Membership, bw as MembershipName, bu as MembershipOptions, bx as MembershipPaymentCredits, aq as MerchantDiscount, aD as MerchantDiscountInput, bT as MessageEnvelope, ai as ModifierGroup, B as MultiCurrencyPrice, t as NameInLineItem, N as NameInOther, bD as Other, bd as OtherCharge, ad as PaymentOption, P as PaymentOptionType, _ as PhysicalProperties, b2 as PickupDetails, n as PickupMethod, Q as PlainTextValue, ah as Policy, aa as PriceDescription, aS as PriceSummary, z as ProductName, l as RateType, b8 as Region, c8 as RemoveBusinessLocationRequest, c9 as RemoveBusinessLocationResponse, bH as RemoveCouponFromCurrentCartRequest, c3 as RemoveCouponRequest, bF as RemoveLineItemsFromCurrentCartRequest, c1 as RemoveLineItemsRequest, bP as RestoreInfo, q as RuleType, $ as Scope, a8 as SecuredMedia, b0 as SelectedCarrierServiceOption, b5 as SelectedCarrierServiceOptionOtherCharge, b4 as SelectedCarrierServiceOptionPrices, ab as SelectedMembership, aK as SelectedMemberships, az as SelectedShippingOption, a9 as ServiceProperties, s as Severity, a_ as ShippingInformation, bb as ShippingOption, bc as ShippingPrice, a$ as ShippingRegion, av as StreetAddress, S as SubscriptionFrequency, a3 as SubscriptionOptionInfo, a4 as SubscriptionSettings, u as SuggestedFix, br as SystemError, bB as Target, bE as TargetLineItem, bC as TargetTargetTypeOneOf, aQ as TaxBreakdown, aV as TaxCalculationDetails, aW as TaxCalculationDetailsCalculationDetailsOneOf, aP as TaxRateBreakdown, aU as TaxSummary, ae as TaxableAddress, af as TaxableAddressTaxableAddressDataOneOf, T as TaxableAddressType, a6 as Title, aj as TranslatableString, aC as UpdateCartRequest, aH as UpdateCartResponse, bI as UpdateCurrentCartLineItemQuantityRequest, c4 as UpdateLineItemsQuantityRequest, bg as V1Coupon, bi as V1DiscountRule, bj as V1DiscountRuleName, aG as V1ItemModifier, bh as V1MerchantDiscount, aF as V1ModifierGroup, bp as ValidationError, ay as VatId, V as VatType, bA as Violation, w as WebhookIdentityType, W as WeightUnit } from './ecom-v1-cart-current-cart.universal-TcsLxps1.js';

declare function getCurrentCart$1(httpClient: HttpClient): GetCurrentCartSignature;
interface GetCurrentCartSignature {
    /**
     * Retrieves the current site visitor's cart.
     *
     * >**Note:**
     * >This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @returns Current session's active cart.
     */
    (): Promise<Cart>;
}
declare function updateCurrentCart$1(httpClient: HttpClient): UpdateCurrentCartSignature;
interface UpdateCurrentCartSignature {
    /**
     * Updates the current site visitor's cart.
     *
     * >**Notes:**
     * >+ When adding catalog line items, the `lineItems.catalogReference.appId` and `lineItems.catalogReference.catalogItemId` fields are required.
     * >+ This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Current cart update options.
     * @returns Updated Cart.
     */
    (options?: UpdateCurrentCartOptions | undefined): Promise<Cart>;
}
declare function addToCurrentCart$1(httpClient: HttpClient): AddToCurrentCartSignature;
interface AddToCurrentCartSignature {
    /**
     * Adds catalog line items to the current site visitor's cart.
     *
     * >**Notes:**
     * >+ When adding catalog line items, the `lineItems.catalogReference.appId` and `lineItems.catalogReference.catalogItemId` fields are required.
     * >+ This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Items to be added to the current cart.
     */
    (options?: AddToCurrentCartOptions | undefined): Promise<AddToCartResponse>;
}
declare function removeLineItemsFromCurrentCart$1(httpClient: HttpClient): RemoveLineItemsFromCurrentCartSignature;
interface RemoveLineItemsFromCurrentCartSignature {
    /**
     * Removes line items from the current site visitor's cart.
     *
     * >**Note:**
     * >This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - IDs of the line items to remove from the cart.
     */
    (lineItemIds: string[]): Promise<RemoveLineItemsResponse>;
}
declare function createCheckoutFromCurrentCart$1(httpClient: HttpClient): CreateCheckoutFromCurrentCartSignature;
interface CreateCheckoutFromCurrentCartSignature {
    /**
     * Creates a checkout from the current site visitor's cart.
     *
     * If a checkout was already created from the current cart,
     * that checkout will be updated with any new information from the cart.
     *
     * >**Notes:**
     * >+ `channelType` is a required field.
     * >+ This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Checkout creation options.
     */
    (options?: CreateCheckoutFromCurrentCartOptions | undefined): Promise<CreateCheckoutResponse>;
}
declare function removeCouponFromCurrentCart$1(httpClient: HttpClient): RemoveCouponFromCurrentCartSignature;
interface RemoveCouponFromCurrentCartSignature {
    /**
     * Removes the coupon from the current site visitor's cart.
     *
     * >**Note:**
     * >This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     */
    (): Promise<RemoveCouponResponse>;
}
declare function updateCurrentCartLineItemQuantity$1(httpClient: HttpClient): UpdateCurrentCartLineItemQuantitySignature;
interface UpdateCurrentCartLineItemQuantitySignature {
    /**
     * Updates the quantity of one or more line items in the current site visitor's cart.
     *
     * This method is only for updating the quantity of line items.
     * To entirely remove a line item from the current cart, use the Remove Line Items From Current Cart method.
     * To add a new line item to the current cart, use the Add To Current Cart method.
     *
     * This method checks the amount of stock remaining for this line item.
     * If the specified `quantity` is greater than the remaining stock,
     * then the `quantity` returned in the response is the total amount of remaining stock.
     *
     * >**Note:**
     * >This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Line item IDs and their new quantity.
     */
    (lineItems: LineItemQuantityUpdate[]): Promise<UpdateLineItemsQuantityResponse>;
}
declare function estimateCurrentCartTotals$1(httpClient: HttpClient): EstimateCurrentCartTotalsSignature;
interface EstimateCurrentCartTotalsSignature {
    /**
     * Estimates the current cart's price totals (including tax),
     * based on a selected carrier service, shipping address, and billing information.
     *
     * >**Notes:**
     * >+ Not passing any properties will only estimate the cart items price totals, without considering shipping and billing information.
     * >+ This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Total estimation options.
     */
    (options?: EstimateCurrentCartTotalsOptions | undefined): Promise<EstimateTotalsResponse>;
}
declare function deleteCurrentCart$1(httpClient: HttpClient): DeleteCurrentCartSignature;
interface DeleteCurrentCartSignature {
    /**
     * Deletes the current site visitor's cart.
     *
     * >**Note:**
     * >This method requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     */
    (): Promise<void>;
}
declare const onCartDeleted$1: EventDefinition<CartDeletedEnvelope, "wix.ecom.v1.cart_deleted">;
declare const onCartUpdated$1: EventDefinition<CartUpdatedEnvelope, "wix.ecom.v1.cart_updated">;
declare const onCartCreated$1: EventDefinition<CartCreatedEnvelope, "wix.ecom.v1.cart_created">;

declare const getCurrentCart: MaybeContext<BuildRESTFunction<typeof getCurrentCart$1> & typeof getCurrentCart$1>;
declare const updateCurrentCart: MaybeContext<BuildRESTFunction<typeof updateCurrentCart$1> & typeof updateCurrentCart$1>;
declare const addToCurrentCart: MaybeContext<BuildRESTFunction<typeof addToCurrentCart$1> & typeof addToCurrentCart$1>;
declare const removeLineItemsFromCurrentCart: MaybeContext<BuildRESTFunction<typeof removeLineItemsFromCurrentCart$1> & typeof removeLineItemsFromCurrentCart$1>;
declare const createCheckoutFromCurrentCart: MaybeContext<BuildRESTFunction<typeof createCheckoutFromCurrentCart$1> & typeof createCheckoutFromCurrentCart$1>;
declare const removeCouponFromCurrentCart: MaybeContext<BuildRESTFunction<typeof removeCouponFromCurrentCart$1> & typeof removeCouponFromCurrentCart$1>;
declare const updateCurrentCartLineItemQuantity: MaybeContext<BuildRESTFunction<typeof updateCurrentCartLineItemQuantity$1> & typeof updateCurrentCartLineItemQuantity$1>;
declare const estimateCurrentCartTotals: MaybeContext<BuildRESTFunction<typeof estimateCurrentCartTotals$1> & typeof estimateCurrentCartTotals$1>;
declare const deleteCurrentCart: MaybeContext<BuildRESTFunction<typeof deleteCurrentCart$1> & typeof deleteCurrentCart$1>;
/**
 * Triggered when a cart is deleted.
 */
declare const onCartDeleted: BuildEventDefinition<typeof onCartDeleted$1>;
/** */
declare const onCartUpdated: BuildEventDefinition<typeof onCartUpdated$1>;
/**
 * Triggered when a cart is created.
 */
declare const onCartCreated: BuildEventDefinition<typeof onCartCreated$1>;

export { AddToCartResponse, AddToCurrentCartOptions, Cart, CartCreatedEnvelope, CartDeletedEnvelope, CartUpdatedEnvelope, CreateCheckoutFromCurrentCartOptions, CreateCheckoutResponse, EstimateCurrentCartTotalsOptions, EstimateTotalsResponse, LineItemQuantityUpdate, RemoveCouponResponse, RemoveLineItemsResponse, UpdateCurrentCartOptions, UpdateLineItemsQuantityResponse, addToCurrentCart, createCheckoutFromCurrentCart, deleteCurrentCart, estimateCurrentCartTotals, getCurrentCart, onCartCreated, onCartDeleted, onCartUpdated, removeCouponFromCurrentCart, removeLineItemsFromCurrentCart, updateCurrentCart, updateCurrentCartLineItemQuantity };
